Index: invariantview/perspectives/invariant/invariant_state.py
===================================================================
--- invariantview/perspectives/invariant/invariant_state.py	(revision 5069a184d1cf13661c56bf250126a3c56a8d3eb4)
+++ invariantview/perspectives/invariant/invariant_state.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -1,3 +1,8 @@
-import time, os, sys
+"""
+"""
+
+import time
+import os
+import sys
 import logging
 import copy
@@ -8,7 +13,10 @@
 from DataLoader.readers.cansas_reader import get_content
 from sans.guiframe.utils import format_number
-from sans.guiframe.dataFitting import Theory1D, Data1D
+from sans.guiframe.dataFitting import Theory1D
+from sans.guiframe.dataFitting import Data1D
+
 INVNODE_NAME = 'invariant'
 CANSAS_NS = "cansas1d/1.0"
+
 # default state
 list = {'file': 'None',
@@ -37,5 +45,6 @@
         'surface_tcl':'',
         'surface_err_tcl':''}
-# list of states: This list will be filled as panel init and the number of states increases
+# list of states: This list will be filled as panel 
+# init and the number of states increases
 state_list = {}
 bookmark_list = {}
@@ -50,14 +59,14 @@
         'power_low_tcl': 0}  
 # list of output parameters (order sensitive) used by __str__    
-output_list = [["qstar_low",                  "Q* from low Q extrapolation [1/(cm*A)]"],
+output_list = [["qstar_low",      "Q* from low Q extrapolation [1/(cm*A)]"],
                ["qstar_low_err",             "dQ* from low Q extrapolation"],
                ["qstar_low_percent",  "Q* percent from low Q extrapolation"],
-               ["qstar",                                     "Q* from data [1/(cm*A)]"],
+               ["qstar",              "Q* from data [1/(cm*A)]"],
                ["qstar_err",                                "dQ* from data"],
                ["qstar_percent",                     "Q* percent from data"],
-               ["qstar_high",                "Q* from high Q extrapolation [1/(cm*A)]"],
+               ["qstar_high",    "Q* from high Q extrapolation [1/(cm*A)]"],
                ["qstar_high_err",           "dQ* from high Q extrapolation"],
                ["qstar_high_percent", "Q* percent from low Q extrapolation"],
-               ["qstar_total",                                   "total Q* [1/(cm*A)]"],
+               ["qstar_total",         "total Q* [1/(cm*A)]"],
                ["qstar_total_err",                              "total dQ*"],
                ["volume",                                 "volume fraction"],
@@ -97,12 +106,10 @@
         import sans.perspectives.invariant as invariant
         path = invariant.get_data_path(media='media')
-        path_report_html= os.path.join(path,"report_template.html")
-        html_template=open(path_report_html,"r")
+        path_report_html = os.path.join(path,"report_template.html")
+        html_template = open(path_report_html,"r")
         self.template_str = html_template.read()
         self.report_str = self.template_str
         #self.report_str_save = None
         html_template.close()
-        
-
         
     def __str__(self):
@@ -119,11 +126,11 @@
 
         state_num = int(self.saved_state['state_num'])
-        state = "\n[Invariant computation for %s: "% file_name
-        state += "performed at %s on %s] \n"%(my_time, date)
-        state += "State No.: %d \n"% state_num
+        state = "\n[Invariant computation for %s: " % file_name
+        state += "performed at %s on %s] \n" % (my_time, date)
+        state += "State No.: %d \n" % state_num
         state += "\n=== Inputs ===\n"
         
         # text ctl general inputs ( excluding extrapolation text ctl)
-        for key,value in self.input_list.iteritems(): 
+        for key, value in self.input_list.iteritems(): 
             if value == '':
                 continue
@@ -131,10 +138,10 @@
             max_ind = len(key_split)-1
             if key_split[max_ind] == 'tcl': 
-                name =""
-                if key_split[1]== 'low' or key_split[1]== 'high':
+                name = ""
+                if key_split[1] == 'low' or key_split[1] == 'high':
                     continue
-                for ind in range(0,max_ind):
-                    name +=" %s"%key_split[ind]
-                state += "%s:   %s\n"% (name.lstrip(" "),value)
+                for ind in range(0, max_ind):
+                    name += " %s" % key_split[ind]
+                state += "%s:   %s\n" % (name.lstrip(" "), value)
                 
         # other input parameters       
@@ -148,24 +155,27 @@
         if compute_state['enable_high_cbox']:
             extra_hi = 'Power law'
-        state += "\nExtrapolation:  High=%s; Low=%s\n" %(extra_hi,extra_lo)   
+        state += "\nExtrapolation:  High=%s; Low=%s\n" %(extra_hi, extra_lo)   
         low_off = False
         high_off = False
-        for key,value in self.input_list.iteritems(): 
+        for key, value in self.input_list.iteritems(): 
             key_split = key.split('_') 
-            max_ind = len(key_split)-1   
+            max_ind = len(key_split) - 1   
             if key_split[max_ind] == 'tcl': 
-                name ="" 
+                name = "" 
                 # check each buttons whether or not ON or OFF
-                if key_split[1]== 'low' or key_split[1]== 'high':
-                    if not compute_state['enable_low_cbox'] and key_split[max_ind-1] == 'low':
+                if key_split[1] == 'low' or key_split[1] == 'high':
+                    if not compute_state['enable_low_cbox'] and \
+                        key_split[max_ind-1] == 'low':
                         low_off = True
                         continue              
-                    elif not compute_state['enable_high_cbox'] and key_split[max_ind-1]== 'high':
+                    elif not compute_state['enable_high_cbox'] and \
+                        key_split[max_ind-1] == 'high':
                         high_off = True
                         continue
-                    elif extra_lo == 'Guinier' and key_split[0]== 'power' and key_split[max_ind-1]== 'low':
+                    elif extra_lo == 'Guinier' and key_split[0] == 'power' and \
+                        key_split[max_ind-1] == 'low':
                         continue
-                    for ind in range(0,max_ind):
-                        name +=" %s"%key_split[ind]
+                    for ind in range(0, max_ind):
+                        name += " %s" % key_split[ind]
                     name = name.lstrip(" ")
                     if name == "power low" :
@@ -179,5 +189,5 @@
                         else:
                             name += ' (Fitted)'
-                    state += "%s:   %s\n"% (name,value)
+                    state += "%s:   %s\n" % (name, value)
         # Outputs
         state += "\n=== Outputs ==="
@@ -185,40 +195,40 @@
             item_split = item[0].split('_') 
             # Exclude the extrapolation that turned off
-            if len(item_split)>1:
-                if low_off and item_split[1] == 'low': continue
-                if high_off and item_split[1] == 'high': continue
-            max_ind = len(item_split)-1
+            if len(item_split) > 1:
+                if low_off and item_split[1] == 'low':
+                    continue
+                if high_off and item_split[1] == 'high':
+                    continue
+            max_ind = len(item_split) - 1
             value = None
             try:
                 # Q* outputs
-                exec "value = self.container.%s\n"% item[0]
+                exec "value = self.container.%s\n" % item[0]
             except:
                 # other outputs than Q*
-                name = item[0]+"_tcl"
-                exec "value = self.saved_state['%s']"% name
+                name = item[0] + "_tcl"
+                exec "value = self.saved_state['%s']" % name
                 
             # Exclude the outputs w/''    
-            if value == '': continue    
-            
+            if value == '':
+                continue    
             # Error outputs
             if item_split[max_ind] == 'err':
-                state += "+- %s "%format_number(value)
-                
+                state += "+- %s " % format_number(value)
             # Percentage outputs
             elif item_split[max_ind] == 'percent':
                 try:
-                    value = float(value)*100
+                    value = float(value) * 100
                 except:
                     pass
-                state += "(%s %s)"%(format_number(value),'%')
+                state += "(%s %s)" % (format_number(value), '%')
             # Outputs
             else:
-                state += "\n%s:   %s "%(item[1],format_number(value,high=True))
+                state += "\n%s:   %s " % (item[1], 
+                                        format_number(value, high=True))
         # Include warning msg
         state += "\n\nNote:\n" + self.container.warning_msg
-        
         return state
 
-    
     def clone_state(self):
         """
@@ -226,5 +236,4 @@
         """
         return copy.deepcopy(self.saved_state)
-    
 
     def toXML(self, file="inv_state.inv", doc=None, entry_node=None):
@@ -234,12 +243,14 @@
         Compatible with standalone writing, or appending to an
         already existing XML document. In that case, the XML document
-        is required. An optional entry node in the XML document may also be given.
+        is required. An optional entry node in the XML document 
+        may also be given.
         
         : param file: file to write to
         : param doc: XML document object [optional]
-        : param entry_node: XML node within the XML document at which we will append the data [optional]   
+        : param entry_node: XML node within the XML document at which 
+            we will append the data [optional]   
         """
         from xml.dom.minidom import getDOMImplementation
-        import time
+        #import time
         timestamp = time.time()
         # Check whether we have to write a standalone XML file
@@ -266,5 +277,5 @@
         # File name
         element = newdoc.createElement("filename")
-        if self.file != None and self.file !='':
+        if self.file != None and self.file != '':
             element.appendChild(newdoc.createTextNode(str(self.file)))
         else:
@@ -293,13 +304,15 @@
         
         for name, value in self.state_list.iteritems():
-            history_element = newdoc.createElement('state_'+str(name))
+            history_element = newdoc.createElement('state_' + str(name))
             for state_name,state_value in value.iteritems():
                 state_element = newdoc.createElement(str(state_name))
-                state_element.appendChild(newdoc.createTextNode(str(state_value)))
+                child = newdoc.createTextNode(str(state_value))
+                state_element.appendChild(child)
                 history_element.appendChild(state_element)
             #history_element.appendChild(state_list_element)
             history.appendChild(history_element)
 
-        # Bookmarks  bookmark_list[self.bookmark_num] = [my_time,date,state,comp_state]
+        # Bookmarks  bookmark_list[self.bookmark_num] = [\
+        #my_time,date,state,comp_state]
         bookmark = newdoc.createElement("bookmark")
         top_element.appendChild(bookmark)
@@ -314,9 +327,10 @@
             state_list_element = newdoc.createElement('state')
             comp_state_list_element = newdoc.createElement('comp_state')
-            for state_name,state_value in value_list[2].iteritems():
+            for state_name, state_value in value_list[2].iteritems():
                 state_element = newdoc.createElement(str(state_name))
-                state_element.appendChild(newdoc.createTextNode(str(state_value)))
+                child = newdoc.createTextNode(str(state_value))
+                state_element.appendChild(child)
                 state_list_element.appendChild(state_element)
-            for comp_name,comp_value in value_list[3].iteritems():
+            for comp_name, comp_value in value_list[3].iteritems():
                 comp_element = newdoc.createElement(str(comp_name))
                 comp_element.appendChild(newdoc.createTextNode(str(comp_value)))
@@ -345,5 +359,7 @@
         """
         if file is not None:
-            raise RuntimeError, "InvariantSate no longer supports non-CanSAS format for invariant files"
+            msg = "InvariantSate no longer supports non-CanSAS"
+            msg += " format for invariant files"
+            raise RuntimeError, msg
         
         if node.get('version')\
@@ -361,10 +377,12 @@
                     timestamp = (entry.get('epoch'))
                 except:
-                    logging.error("InvariantSate.fromXML: Could not read timestamp\n %s" % sys.exc_value)
+                    msg = "InvariantSate.fromXML: Could not read"
+                    msg += " timestamp\n %s" % sys.exc_value
+                    logging.error(msg)
             
             # Parse bookmarks
             entry_bookmark = get_content('ns:bookmark', node)
 
-            for ind in range(1,len(entry_bookmark)+1):
+            for ind in range(1, len(entry_bookmark) + 1):
                 temp_state = {}
                 temp_bookmark = {}
@@ -372,40 +390,38 @@
                                 
                 if entry is not None:
-                    time = get_content('ns:time', entry )
+                    time = get_content('ns:time', entry)
                     val_time = str(time.text.strip())
-                    date = get_content('ns:date', entry )
+                    date = get_content('ns:date', entry)
                     val_date = str(date.text.strip())
-                    state_entry = get_content('ns:state', entry )
+                    state_entry = get_content('ns:state', entry)
                     for item in list:
 
-                        input_field = get_content('ns:%s' % item, state_entry )
-                        val = str(input_field.text.strip())
-
-                        if input_field is not None:
-                            try:
-                                exec "temp_state['%s'] = %s"% (item,val)      
-                            except:
-                                exec "temp_state['%s'] = '%s'"% (item,val)
-                            
-                    comp_entry = get_content('ns:comp_state', entry )
-                    
-                    for item in list:
-                        input_field = get_content('ns:%s' % item, comp_entry )
+                        input_field = get_content('ns:%s' % item, state_entry)
                         val = str(input_field.text.strip())
                         if input_field is not None:
                             try:
-                                exec "temp_bookmark['%s'] = %s"% (item,val)      
+                                exec "temp_state['%s'] = %s" % (item, val)      
                             except:
-                                exec "temp_bookmark['%s'] = '%s'"% (item,val)
+                                exec "temp_state['%s'] = '%s'" % (item, val)
+                    comp_entry = get_content('ns:comp_state', entry)
+                    
+                    for item in list:
+                        input_field = get_content('ns:%s' % item, comp_entry)
+                        val = str(input_field.text.strip())
+                        if input_field is not None:
+                            try:
+                                exec "temp_bookmark['%s'] = %s" % (item, val)      
+                            except:
+                                exec "temp_bookmark['%s'] = '%s'" % (item, val)
                     try:
-                        exec "self.bookmark_list[%s] = [val_time,val_date,temp_state,temp_bookmark]"% ind
-
+                        cmd = "self.bookmark_list[%s] = [val_time,"
+                        cmd += "val_date,temp_state,temp_bookmark]"
+                        exec cmd % ind
                     except:
                         raise "missing components of bookmarks..."
-    
             # Parse histories
             entry_history = get_content('ns:history', node)
 
-            for ind in range(0,len(entry_history)):
+            for ind in range(0, len(entry_history)):
                 temp_state = {}
                 entry = get_content('ns:state_%s' % ind, entry_history) 
@@ -418,10 +434,9 @@
                         if input_field is not None:
                             try:
-                                exec "temp_state['%s'] = %s"% (item,val)         
+                                exec "temp_state['%s'] = %s" % (item, val)         
                             except:
-                                exec "temp_state['%s'] = '%s'"% (item,val)
+                                exec "temp_state['%s'] = '%s'" % (item, val)
                             finally:
-                                exec "self.state_list['%s'] = temp_state"% ind 
-            
+                                exec "self.state_list['%s'] = temp_state" % ind 
             # Parse current state (ie, saved_state)
             entry = get_content('ns:state', node)           
@@ -432,5 +447,4 @@
                     if input_field is not None:
                         self.set_saved_state(name=item, value=val)
-                        
             self.file = file_name
             
@@ -442,9 +456,9 @@
     
         # default string values
-        for num in range (1,19):
-            exec "s_%s = 'NA'"% str(num)
+        for num in range (1, 19):
+            exec "s_%s = 'NA'" % str(num)
         lines = strings.split('\n')
         # get all string values from __str__()
-        for line in range(0,len(lines)):
+        for line in range(0, len(lines)):
             if line == 1:
                 s_1 = lines[1]
@@ -454,5 +468,5 @@
                 item = lines[line].split(':')
                 item[0] = item[0].strip()
-                if item[0]== "scale":
+                if item[0] == "scale":
                     s_3 = item[1]
                 elif item[0] == "porod constant":
@@ -466,45 +480,45 @@
                     bool_0 = extra[0].split("=")
                     bool_1 = extra[1].split("=")
-                    s_7 = " "+bool_0[0]+"Q region = "+bool_0[1]
-                    s_8 = " "+bool_1[0]+"Q region = "+bool_1[1]
-                elif item[0]=="npts low":
+                    s_7 = " " + bool_0[0] + "Q region = " + bool_0[1]
+                    s_8 = " " + bool_1[0] + "Q region = " + bool_1[1]
+                elif item[0] == "npts low":
                     s_9 = item[1]
-                elif item[0]=="npts high":
+                elif item[0] == " npts high":
                     s_10 = item[1]
                 elif item[0] == "volume fraction":
                     val=item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_17 = val+" &plusmn; "+error
+                    s_17 = val + " &plusmn; " + error
                 elif item[0] == "specific surface":
-                    val=item[1].split("+-")[0].strip()
+                    val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_18 = val+" &plusmn; "+error
-                elif item[0].split("(")[0].strip()=="power high":
+                    s_18 = val + " &plusmn; " + error
+                elif item[0].split("(")[0].strip() == "power high":
                     s_11 = item[0]+" ="+item[1]
-                elif item[0].split("(")[0].strip()=="power low":
+                elif item[0].split("(")[0].strip() == "power low":
                     s_12 = item[0]+" ="+item[1]
-                elif item[0].split("[")[0].strip()=="Q* from low Q extrapolation":
+                elif item[0].split("[")[0].strip() == "Q* from low Q extrapolation":
                     #looks messy but this way the symbols +_ and % work on html
-                    val=item[1].split("+-")[0].strip()
+                    val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_13 = val+" &plusmn; "+err+"&#37"+percent
-                elif item[0].split("[")[0].strip()=="Q* from data":
-                    val=item[1].split("+-")[0].strip()
+                    s_13 = val + " &plusmn; " + err + "&#37" + percent
+                elif item[0].split("[")[0].strip() == "Q* from data":
+                    val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_14 = val+" &plusmn; "+err+"&#37"+percent
-                elif item[0].split("[")[0].strip()=="Q* from high Q extrapolation":
-                    val=item[1].split("+-")[0].strip()
+                    s_14 = val + " &plusmn; " + err + "&#37" + percent
+                elif item[0].split("[")[0].strip() == "Q* from high Q extrapolation":
+                    val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
                     err = error.split("%")[0].strip()
                     percent = error.split("%")[1].strip()
-                    s_15 = val+" &plusmn; "+err+"&#37"+percent
-                elif item[0].split("[")[0].strip()=="total Q*":
-                    val=item[1].split("+-")[0].strip()
+                    s_15 = val + " &plusmn; " + err + "&#37" + percent
+                elif item[0].split("[")[0].strip() == "total Q*":
+                    val = item[1].split("+-")[0].strip()
                     error = item[1].split("+-")[1].strip()
-                    s_16 = val+" &plusmn; "+error
+                    s_16 = val + " &plusmn; " + error
                 else:
                     continue
@@ -513,6 +527,8 @@
         self.set_plot_state(extra_high=bool_0[1],extra_low=bool_1[1])
         # get ready for report with setting all the html strings
-        self.report_str =  str(self.template_str)% (s_1,s_2,s_3,s_4,s_5,s_6,s_7,s_8,s_9,s_10,s_11,s_12,s_13,s_14,s_15,s_16,s_17,s_18,self.file,"%s")
-
+        self.report_str = str(self.template_str) % (s_1, s_2,
+                                        s_3, s_4, s_5, s_6, s_7, s_8,
+                                    s_9, s_10, s_11, s_12, s_13, s_14, s_15,
+                                        s_16, s_17, s_18, self.file, "%s")
 
     def set_saved_state(self, name, value):
@@ -523,17 +539,18 @@
         : param value: value of the state component
         """
-        rb_list = [['power_law_low','guinier'],['fit_enable_low','fix_enable_low'],['fit_enable_high','fix_enable_high']]
+        rb_list = [['power_law_low','guinier'],
+                   ['fit_enable_low','fix_enable_low'],
+                   ['fit_enable_high','fix_enable_high']]
 
         try:
-            if value == None or value.lstrip().rstrip() =='':
+            if value == None or value.lstrip().rstrip() == '':
                 exec "self.%s = '%s'" % (name, value)
-                exec "self.saved_state['%s'] = '%s'" %  (name, value)
+                exec "self.saved_state['%s'] = '%s'" % (name, value)
             else:
                 exec 'self.%s = %s' % (name, value)
-                exec "self.saved_state['%s'] = %s" %  (name, value)
-
-            
-            # set the count part of radio button clicked False for the saved_state
-            for title,content in rb_list:
+                exec "self.saved_state['%s'] = %s" % (name, value)
+            # set the count part of radio button clicked 
+            # False for the saved_state
+            for title, content in rb_list:
                 if name ==  title:
                     name = content 
@@ -542,15 +559,16 @@
                     name = title
                     value = False 
-            exec "self.saved_state['%s'] = '%s'" %  (name, value)     
+            exec "self.saved_state['%s'] = '%s'" % (name, value)     
             self.state_num = self.saved_state['state_num']
         except:           
             pass
 
-    def set_plot_state(self,extra_high=False,extra_low=False):
+    def set_plot_state(self, extra_high=False, extra_low=False):
         """
         Build image state that wx.html understand
         by plotting, putting it into wx.FileSystem image object
         
-        : extrap_high,extra_low: low/high extrapolations are possible extra-plots
+        : extrap_high,extra_low: low/high extrapolations
+        are possible extra-plots
         """
         # some imports
@@ -583,5 +601,5 @@
         #make python.Image object 
         #size
-        w,h =canvas.get_width_height()
+        w, h = canvas.get_width_height()
         #convert to wx.Image
         wximg = wx.EmptyImage(w,h)
@@ -595,5 +613,5 @@
         self.imgRAM = wx.MemoryFSHandler()
         #AddFile, image can be retrieved with 'memory:filename'
-        self.imgRAM.AddFile('img_inv.png',wximgbmp, wx.BITMAP_TYPE_PNG)
+        self.imgRAM.AddFile('img_inv.png', wximgbmp, wx.BITMAP_TYPE_PNG)
         
         self.wximgbmp = 'memory:img_inv.png'
@@ -611,5 +629,5 @@
             "SANSView file (*.svs)|*.svs"]
     ## List of allowed extensions
-    ext=['.inv', '.INV', '.svs', 'SVS']  
+    ext = ['.inv', '.INV', '.svs', 'SVS']  
     
     def __init__(self, call_back, cansas=True):
@@ -634,5 +652,5 @@
         : return: None
         """
-        if self.cansas==True:
+        if self.cansas == True:
             return self._read_cansas(path)
         else:
@@ -666,11 +684,14 @@
         # Locate the invariant node
         try:
-            nodes = entry.xpath('ns:%s' % INVNODE_NAME, namespaces={'ns': CANSAS_NS})
+            nodes = entry.xpath('ns:%s' % INVNODE_NAME,
+                                namespaces={'ns': CANSAS_NS})
             # Create an empty state
-            if nodes !=[]:
+            if nodes != []:
                 state = InvariantState()
                 state.fromXML(node=nodes[0])
         except:
-            logging.info("XML document does not contain invariant information.\n %s" % sys.exc_value)  
+            msg = "XML document does not contain invariant"
+            msg += " information.\n %s" % sys.exc_value
+            logging.info(msg)  
         return state
     
@@ -696,8 +717,10 @@
        
                 # Check the format version number
-                # Specifying the namespace will take care of the file format version 
+                # Specifying the namespace will take care of 
+                # the file format version 
                 root = tree.getroot()
                 
-                entry_list = root.xpath('/ns:SASroot/ns:SASentry', namespaces={'ns': CANSAS_NS})
+                entry_list = root.xpath('/ns:SASroot/ns:SASentry',
+                                        namespaces={'ns': CANSAS_NS})
                 
                 for entry in entry_list:
@@ -716,10 +739,11 @@
 
         # Return output consistent with the loader's api
-        if len(output)==0:
+        if len(output) == 0:
             return None
-        elif len(output)==1:
+        elif len(output) == 1:
             # Call back to post the new state
 
-            self.call_back(state=output[0].meta_data['invstate'], datainfo = output[0])
+            self.call_back(state=output[0].meta_data['invstate'],
+                           datainfo = output[0])
             return output[0]
         else:
@@ -754,17 +778,18 @@
             datainfo = DataLoader.data_info.Data1D(x=[], y=[])    
         elif not issubclass(datainfo.__class__, DataLoader.data_info.Data1D):
-            raise RuntimeError, "The cansas writer expects a Data1D instance: %s" % str(datainfo.__class__.__name__)
+            msg = "The cansas writer expects a Data1D"
+            msg += " instance: %s" % str(datainfo.__class__.__name__)
+            raise RuntimeError, msg
         #make sure title and data run is filled up.
-        if datainfo.title == None or datainfo.title=='': datainfo.title = datainfo.name
-        if datainfo.run_name == None or datainfo.run_name=={}: 
+        if datainfo.title == None or datainfo.title == '':
+            datainfo.title = datainfo.name
+        if datainfo.run_name == None or datainfo.run_name == {}: 
             datainfo.run = [str(datainfo.name)]
             datainfo.run_name[0] = datainfo.name
-
         # Create basic XML document
         doc, sasentry = self._to_xml_doc(datainfo)
-    
         # Add the invariant information to the XML document
         if state is not None:
             state.toXML(datainfo.name,doc=doc, entry_node=sasentry)
-            
         return doc
+
Index: invariantview/perspectives/invariant/invariant_widgets.py
===================================================================
--- invariantview/perspectives/invariant/invariant_widgets.py	(revision 4e1c362faa5def12383a4fd3550db72d838ee262)
+++ invariantview/perspectives/invariant/invariant_widgets.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -14,7 +14,7 @@
 
 import wx
-import os
-from invariant_state import InvariantState as IState
-import copy
+#import os
+#from invariant_state import InvariantState as IState
+#import copy
 
 class InvTextCtrl(wx.TextCtrl):
@@ -25,5 +25,6 @@
     def __init__(self, *args, **kwds):
         wx.TextCtrl.__init__(self, *args, **kwds)
-        ## Set to True when the mouse is clicked while the whole string is selected
+        ## Set to True when the mouse is clicked while 
+        #the whole string is selected
         self.full_selection = False
         ## Call back for EVT_SET_FOCUS events
@@ -60,9 +61,8 @@
                 # if not, select the whole string
                 (start, end) = control.GetSelection()
-                if start==end:
-                    control.SetSelection(-1,-1)
+                if start == end:
+                    control.SetSelection(-1, -1)
            
 
-    
 class OutputTextCtrl(wx.TextCtrl):
     """
